<%@ page contentType="text/html; charset=utf-8"
         pageEncoding="utf-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="minWidth=device-minWidth, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp" />
</head>
<body>
<div class="row animated fadeInRight" style="margin: 0;">
    <div class="wrapper wrapper-content mt5 right-content ml5 mr5">
        <div class="toolbar-panel bdd">
            <div class="toolbar-box">
                <div class="toolbar-head clearfix lgraybg pt5 pb10 pl10 bdbd">
                    <!-- 顶部按钮 -->
                    <div class="fl">
                        查询条件
                    </div>
                    <div class="tools fr">
                        <a href="javascript:void(0);" class="collapse dblock f14 dgray mr5">
                            <i class="fa-2x fa fa-angle-double-up"></i>
                        </a>
                    </div>
                </div>
            </div>
            <!--搜索条件 -->
            <div class="toolbar-body">
                <form class="layui-form" action="" style="margin-top: 10px">
                    <div class="layui-form-item">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户ID</label>
                            <div class="layui-input-inline">
                                <input type="text" placeholder="请输入用户ID" id="userId" name="userId" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">账号</label>
                            <div class="layui-input-inline">
                                <input type="text" placeholder="请输入内容" id="loginName" name="loginName"
                                       class="layui-input">
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- 表单数据 -->
    <div class="mb50 mt10">
        <div class="whitebg pl10 pr10">
            <table class="layui-hide" id="agentInfoTab" lay-filter="agentInfoTab"></table>
        </div>
    </div>
</div>

<script type="text/html" id="toolbarDemo">
    <div class="layui-btn-container">
        <button class="layui-btn layui-btn-sm" lay-event="search">查询</button>
        <button class="layui-btn layui-btn-sm" lay-event="add">添加</button>
    </div>
</script>
<script>
    layui.use(['table', 'layer'], function(){
        var table = layui.table;
        var layer = layui.layer;

        var tableIns = table.render({
            elem: '#agentInfoTab'
            ,url:'${ctx}/agentInfo/staffPage'
            ,where:{
                userId:$('#userId').val()
                ,loginName:$('#loginName').val()
            }
            ,response: {
                statusName: 'code' //数据状态的字段名称，默认：code
                ,countName: 'count' //数据总数的字段名称，默认：count
                ,dataName: 'data' //默数据列表的字段名称，认：data
                ,statusCode : 200
            }
            ,parseData: function(res){ //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.count, //解析数据长度
                    "data": res.data.data //解析数据列表
                };
            }
            ,toolbar: '#toolbarDemo' //开启头部工具栏，并为其绑定左侧模板
            ,defaultToolbar: ['filter', 'exports', 'print', { //自定义头部工具栏右侧图标。如无需自定义，去除该参数即可
                title: '提示'
                ,layEvent: 'LAYTABLE_TIPS'
                ,icon: 'layui-icon-tips'
            }]
            ,title: '超级管理商数据表'
            ,cols: [[
                {type: 'checkbox', fixed: 'left', hidden: true}
                ,{field:'numbers', title:'序号', fixed: 'left',type:'numbers'}
                ,{field:'userId', title:'用户id',fixed: 'left',sort: true}
                ,{field:'loginName',title:'账号'}
                ,{field:'userName',minWidth:80, title:'姓名'}
                ,{field:'phone',minWidth:120, title:'电话'}
                ,{field:'parentId', title:'服务商/代理商id',sort: true}
                ,{field:'agentName',minWidth:80, title:'代理商名称'}
                ,{field:'agentPhone',minWidth:120, title:'代理商电话'}
                ,{field: 'createTime',title: '创建日期',templet : "<div>{{layui.util.toDateString(d.createTime, 'yyyy-MM-dd HH:mm:ss')}}</div>"}
                // ,{fixed: 'right', title:'操作',minWidth:160, toolbar: '#barDemo'}
            ]]
            ,request: {
                pageName: 'current' //页码的参数名称，默认：page
                ,limitName: 'size' //每页数据量的参数名，默认：limit
            }
            ,page: true
            ,done: function () {
                $("[data-field='forceUpdate']").children().each(function () {
                    if ($(this).text() == '0') {
                        $(this).text('否');
                    } else if ($(this).text() == '1') {
                        $(this).text('是');
                    }
                });
            }
        });

        //头工具栏事件
        table.on('toolbar(agentInfoTab)', function(obj){
            switch(obj.event){
                case 'add':
                    // 添加
                    toAdd();
                    break;
                case 'search':
                    // 查询
                    search();
                    break;
            }
        });

        function search() {
            table.reload('agentInfoTab', {
                page: {
                    curr: 1
                }
                ,where: { //请求参数（注意：这里面的参数可任意定义，并非下面固定的格式）
                    userId:$('#userId').val()
                    ,loginName:$('#loginName').val()
                }
            });
        }

        //监听行工具事件
        table.on('tool(agentInfoTab)', function(obj){
            var data = obj.data;
            //console.log(obj)
            if(obj.event === 'del'){
                layer.confirm('真的删除行么?', function(index){
                    obj.del(data);
                    layer.close(index);
                    del(obj);
                });
            } else if(obj.event === 'edit'){
                toBaseEdit(obj.data);
            } else if (obj.event === 'part'){
                part(obj.data);
            }
        });

        function toAdd(obj) {
            var url = '${ctx}/agentInfo/detail/';
            if(obj != undefined){
                url = "${ctx}/agentInfo/detail/"+obj.userId
            }
            var index = layer.open({
                type: 2
                , title: "添加"
                , shade: 0.5
                , maxmin: true
                , content: url
                , area: ['550px', '500px']
            });
        }

        function toBaseEdit(obj) {
            var url = '${ctx}/agentInfo/detail/';
            if(obj != undefined){
                url = "${ctx}/agentInfo/detail/"+obj.userId
            }
            var index = layer.open({
                type: 2
                , title: "编辑"
                , shade: 0.5
                , maxmin: true
                , content: url
                , area: ['550px', '500px']
            });
        }

        function part(obj) {
            var url = "${ctx}/agentInfo/part/"+obj.userId;
            var index = layer.open({
                type: 2
                , title: "编辑"
                , shade: 0.5
                , maxmin: true
                , content: url
                , area: ['550px', '300px']
            });
            layer.full(index);
        }
        function del(obj) {
            $.ajax({
                url: '${ctx}/agentInfo/delete',
                method: 'post',
                data: JSON.stringify(obj.data),
                dataType: 'JSON',
                contentType:"application/json",
                success: function(res) {
                    if(res.code == 200) {
                        layer.msg(res.data, {
                            icon: 1
                        });
                    } else {
                        layer.msg(res.data, {
                            icon: 5
                        });
                    }
                }
            })
        }
    });
</script>
</body>
</html>